Bug 859006 - CVE-2012-4434 CVE-2012-4435 CVE-2012-4436 fwknop various flaws [fedora-rawhide]
CVE-2012-4434 CVE-2012-4435 CVE-2012-4436 fwknop various flaws [fedora-rawhide]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fwknop (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
fst_owner=bvincent
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-4434 CVE-2012-4436 CVE-2012-4435
  Show dependency treegraph
 
Reported: 2012-09-20 06:56 EDT by Jan Lieskovsky
Modified: 2014-10-14 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-14 21:27:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-09-20 06:56:14 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=858994

fedora-rawhide tracking bug for fwknop: see blocks bug list for full details of the security issue(s).

[bug automatically created by: add-tracking-bugs]
Comment 1 Jan Lieskovsky 2012-09-20 06:56:47 EDT
Adding parent bug CVE-2012-4435
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=858994,858995
Comment 2 Jan Lieskovsky 2012-09-20 06:57:30 EDT
Adding parent bug CVE-2012-4436
New bodhi update url:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=858994,858995,859002
Comment 3 Fedora End Of Life 2013-04-03 14:21:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Brandon Vincent 2014-10-14 21:27:05 EDT
These security vulnerabilities were fixed by upstream in version 2.0.3 [1]. Newer versions (>=2.0.3) of fwknop exist in all current Fedora repositories.

[1] http://seclists.org/oss-sec/2012/q3/509

Note You need to log in before you can comment on or make changes to this bug.